GET /v1/payouts

stripe.com

Summary:
Operation ID: GetPayouts
Auth: unknown
Description

<p>Returns a list of existing payouts sent to third-party bank accounts or that Stripe has sent you. The payouts are returned in sorted order, with the most recently created payouts appearing first.</p>

Parameters (8)

arrival_date (?, query, optional)
created (?, query, optional)
destination (string, query, optional)

The ID of an external account - only return payouts sent to this external account.

ending_before (string, query, optional)

A cursor for use in pagination. `ending_before` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, starting with `obj_bar`, your subsequent call can include `ending_before=obj_bar` in order to fetch the previous page of the list.

Constraints: {'maxLength': 5000}

expand (array, query, optional)

Specifies which fields in the response should be expanded.

limit (integer, query, optional)

A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 10.

starting_after (string, query, optional)

A cursor for use in pagination. `starting_after` is an object ID that defines your place in the list. For instance, if you make a list request and receive 100 objects, ending with `obj_foo`, your subsequent call can include `starting_after=obj_foo` in order to fetch the next page of the list.

Constraints: {'maxLength': 5000}

status (string, query, optional)

Only return payouts that have the given status: `pending`, `paid`, `failed`, or `canceled`.

Constraints: {'maxLength': 5000}

No probe data for this endpoint yet.